<?php
#-----------------------------------------------------#
#          ********* WAP-MOTORS *********             #
#             Made by   :  VANTUZ                     #
#               E-mail  :  vsem@pizdec.ru             #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#-----------------------------------------------------#	
require_once"../template/start.php";
require_once"../template/regglobals.php";
require_once"../template/config.php";
require_once"../template/functions.php";
require_once"../template/antidos.php";
require_once"../template/cookies.php";
require_once"../template/gzip.php";
require_once"../template/header.php";
require_once"../template/referer.php";

//если наблюдаются проблемы удалите этот блок
function avto($s) { $rand = rand(100,999); global $config_chatrew;
$s = str_replace("<title>","<meta http-equiv=\"refresh\" content=\"$config_chatrew;URL=index.php?rand=$rand&amp;".SID."\"><title>",$s);
return $s; }
ob_start("avto");
//////////////////////////////////////////////////////////////////////////////////////////
include_once"../themes/$config_themes/index.php";
require_once"../template/isset.php";

$text = file("../local/profil/$log.prof"); 
if ($text!=""){
$udata = explode(":||:",$text[0]);
$provlog=trim($udata[0]);
$provpar=trim($udata[1]);
$privat=trim($udata[10]);}

$rand = rand(100,999); 
$date=date("d.m.y");
$time=time(); 

echo'<img src="../images/img/partners.gif" alt=""> <b>Мини-чат</b><br><br>';

/////////////генерация вопроса//////////////////////////////////////////////////////
if($config_magnik=="1"){
$magfi=file("../template/chat_mag.php");
$magcount=count($magfi);

$magrand = rand(0,$magcount);
$magshow=$magfi[$magrand];

$magstr = explode("|",$magshow); //массив на подмассив
//echo $magstr[0]; // вопрос 0  ответ 1

$mmagfi=file("../local/chat.dat");//узнаем время последнего поста
$mmagcount=count($mmagfi);
$mmagcount=$mmagcount-1; 
$mmagstr=$mmagfi[$mmagcount]; //последняя строчка
$mmagshow = explode("|",$mmagstr); //массив на подмассив
}



//--------------------------генерация анекдота------------------------------------------------//
if($config_shutnik=="1"){
$anfi=file("../template/chat_shut.php");
$ancount=count($anfi);

$anrand = rand(0,$ancount);
$ananec=$anfi[$anrand];

$tifi=file("../local/chat.dat");//узнаем время последнего поста
$ticount=count($tifi);
$ticount=$ticount-1; 
$tistoka=$tifi[$ticount]; //последняя строчка
$tidw = explode("|",$tistoka); //массив на подмассив
	
$newtidw=$tidw[3]+300; //+10 минут
if($time>$newtidw && $tidw[6]!=="ОК") {  //условия время +10 и анекдот не последний

$ananec=trim($ananec);	
$antext=$ananec.'|Весальчак|'.$date.'|'.$time.'|Opera|127.0.0.2|ОК|'.$mmagshow[7].'|'.$mmagshow[8].'|';
$antext=preg_replace ("|[\r\n]+|si","",$antext);

$anfp=fopen("../local/chat.dat","a+");
flock ($anfp,LOCK_EX);
fputs($anfp,"$antext\r\n");
flock ($anfp,LOCK_UN);
fclose($anfp);


//--------------------------------------------------------//
$f = file("../local/local.dat"); 
$u = explode("|",$f[0]);
$u[1]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen("../local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
//--------------------------------------------------------//
}}


//--------------------------- ФУНКЦИЯ ОТВЕТА ЕСЛИ НИКТО НЕ ОТВЕТИЛ ЗА 10 МИН ------------------------//
if($config_magnik=="1"){
$magtime2=$time+60;
if(!empty($mmagshow[8]) && $mmagshow[7]<$time){ 
	
$magtext='На вопрос никто не ответил, правильный ответ был: <b>'.$mmagshow[8].'</b>|Вундер-киндер|'.$date.'|'.$time.'|Opera|127.0.0.3|НО|'.$magtime2.'||';
$magtext=preg_replace ("|[\r\n]+|si","",$magtext);

$magfp=fopen("../local/chat.dat","a+");
flock ($magfp,LOCK_EX);
fputs($magfp,"$magtext\r\n");
flock ($magfp,LOCK_UN);
fclose($magfp);

//--------------------------------------------------------//
$f = file("../local/local.dat"); 
$u = explode("|",$f[0]);
$u[1]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen("../local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
//--------------------------------------------------------//
}

//--------------------  ЗАДАЕМ ВОПРОС ЕСЛИ С ПРЕДЫДУЩЕГО ПРОШЛО 10 МИН  ----------------------//

$magtime=$time+600;
if($mmagshow[8]=="" && $mmagshow[7]<$time && $magstr[0]!==""){ 
$magstr[0]=trim($magstr[0]);	
$strlent=strlen(utf_to_win($magstr[1]));
if($strlent>1 && $strlent<5){$strl="$strlent буквы";} else {$strl="$strlent букв";}

$magtext='Вопрос всем: '.$magstr[0].'  - ('.$strl.')|Вундер-киндер|'.$date.'|'.$time.'|Opera|127.0.0.3|НО|'.$magtime.'|'.$magstr[1].'|';
$magtext=preg_replace ("|[\r\n]+|si","",$magtext);

$magfp=fopen("../local/chat.dat","a+");
flock ($magfp,LOCK_EX);
fputs($magfp,"$magtext\r\n");
flock ($magfp,LOCK_UN);
fclose($magfp);

//--------------------------------------------------------//
$f = file("../local/local.dat"); 
$u = explode("|",$f[0]);
$u[1]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen("../local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
//--------------------------------------------------------//
}}

$file=file("../local/chat.dat"); 
$i = count($file);
if ($i>=$config_maxpostchat) {
$fp=fopen("../local/chat.dat","w");
flock ($fp,LOCK_EX);
unset($file[0],$file[1],$file[2],$file[3],$file[4]);
fputs($fp, implode("",$file));
flock ($fp,LOCK_UN);
fclose($fp);}

//----------------------------  Подключение бота  -----------------------------------------//
if($config_botnik=="1"){
if($log!="" && $_SESSION['botochat']==""){
	
$hellobots = array("Приветик", "Здравствуй", "Хай", "Добро пожаловать", "Салют", "Hello", "Здарова"); 
$hellobots2 = mt_rand(0, 6); 
$hellobots3 = $hellobots[$hellobots2];

$mmagfi=file("../local/chat.dat");
$mmagcount=count($mmagfi);
$mmagcount=$mmagcount-1; 
$mmagstr=$mmagfi[$mmagcount];
$mmagshow = explode("|",$mmagstr);


$text3=$hellobots3.' '.$log.'!|Настюха|'.$date.'|'.$time.'|SIE-S65|127.0.0.2|НО|'.$mmagshow[7].'|'.$mmagshow[8].'|';
$text3=preg_replace ("|[\r\n]+|si","",$text3);

$fp=fopen("../local/chat.dat","a+");
flock ($fp,LOCK_EX);
fputs($fp,"$text3\r\n");
flock ($fp,LOCK_UN);
fclose($fp);

$_SESSION['botochat']="ok";

//--------------------------------------------------------//
$f = file("../local/local.dat"); 
$u = explode("|",$f[0]);
$u[1]++;
$t=$u[0].'|'.$u[1].'|'.$u[2].'|'.$u[3].'|'.$u[4].'|'.$u[5].'|'.$u[6].'|'.$u[7].'|'.$u[8].'|'.$u[9].'|'.$u[10].'|';

$fp = fopen("../local/local.dat","a+");
flock ($fp,LOCK_EX);
ftruncate ($fp,0);
fputs($fp,$t);
fflush ($fp);
flock ($fp,LOCK_UN);
fclose($fp);
//--------------------------------------------------------//
}}

//--------------------------------------------------------//
if ($_SESSION['log']!="" && md5($_SESSION['par'])!="" && md5($_SESSION['par'])==$provpar && $_SESSION['log']==$provlog ) {
if($udata[10]>0){
echo'<img src="../images/img/mail.gif" alt=""> <b><a href="../pages/privat.php?'.SID.'"><font color="red">Приватное сообщение! ('.$privat.')</font></a></b><br>';}


if($config_themes!="wml"){	
echo'<br><form action="add.php?'.SID.'" method="post">';
echo'<b>Сообщение:</b><br>';
echo'<textarea cols="20" rows="3" name="msg">'.$imja.'</textarea><br>';

if($config_translit=="1"){
echo'Транслит: <input name="trans" type="checkbox" value="y" /><br>';}

echo'<input type="submit" value="Добавить" /></form><hr>';

}else{

echo'Сообщение:<br>';
echo'<input name="msg" value="'.$imja.' "/><br>';

if($config_translit=="1"){
echo'Транслит: <select name="trans"><option value="0">Нет</option>';
echo'<option value="y">Да</option>';
echo'</select><br>';}

echo'<anchor>Сказать';
echo'<go href="add.php?'.SID.'" method="post">';
echo'<postfield name="msg" value="$(msg)"/>';
echo'<postfield name="trans" value="$(trans)"/>';
echo'</go></anchor><br>--------------------<br>';

}
}else{
$_SESSION['input']="chat/index.php?start=$start&";

echo '<br>Вы не авторизованы, чтобы добавить сообщение необходимо<br>';
echo '<b><a href="../pages/vhod.php?ref=1&amp;'.SID.'">Авторизоваться</a></b> или в начале <b><a href="../pages/registration.php?'.SID.'">Зарегистрироваться</a></b><br><br>';
}

if($config_themes!="wml"){echo '<a href="#down"><img src="../images/img/downs.gif" alt=""></a> ';}
echo'<a href="index.php?rand='.$rand.'&amp;'.SID.'">Обновить</a><br>';


$file = file("../local/chat.dat");
$total = count($file);    
if (empty($_GET['start'])) $start = 0;
else $start = $_GET['start'];
if ($total < $start + $config_chatpost){ $end = $total; }
else {$end = $start + $config_chatpost; }
for ($i = $start; $i < $end; $i++){


$file = file("../local/chat.dat");
$file = array_reverse($file);
$data = explode("|",$file[$i]);
$i2=round($i+1);


$data[0]=bb_code($data[0]);
$data[6]=preg_replace ("|[\r\n]+|si","",$data[6]);
$data[3]=date("H:i",$data[3]);



$ava = file("../local/profil/$data[1].prof"); 
$avv = explode(":||:",$ava[0]);


$statwho='<font color="red">[Off]</font>';
$sublines=file("../local/online.dat"); 
$subcount=count($sublines);
for ($b=0; $b<$subcount; $b++) {$dt=explode("#",$sublines[$b]); if ($data[1]==$dt[2]) 
{$statwho='<font color="#00FF00">[On]</font>';}}


if($data[1]=="Вундер-киндер"){$avv[43]="images/img/mag.gif"; $statwho='<font color="#00FF00">[On]</font>';}
if($data[1]=="Настюха"){$avv[43]="images/img/bot.gif"; $statwho='<font color="#00FF00">[On]</font>';}
if($data[1]=="Весальчак"){$avv[43]="images/img/shut.gif"; $statwho='<font color="#00FF00">[On]</font>';}

if(!empty($udata[45])){
if($avv[43]!="" && $avv[43]!="noavatar.gif"){	
echo'<div class=b><img src="../'.$avv[43].'" alt=""> ';}else{
echo'<div class=b><img src="../images/avators/noavatar.gif" alt=""> '; }	

echo'<b><a href="say.php?imja='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b> '.$statwho.' <small> ('.$data[2].' '.$data[3].')</small></div><div>'.$data[0].'<br><font color="#CC00CC">('.$data[4].', '.$data[5].')</font></div>';
}else{
echo'<div class=b><img src="../images/img/edit.gif" alt=""> ';
echo'<b><a href="say.php?imja='.$data[1].'&amp;'.SID.'">'.$data[1].'</a></b> '.$statwho.' <small> ('.$data[2].' '.$data[3].')</small></div><div>'.$data[0].'<br><font color="#CC00CC">('.$data[4].', '.$data[5].')</font></div>';}
}



echo'<hr>';   
if ($start != 0) {echo '<a href="index.php?start='.($start - $config_chatpost).'&amp;'.SID.'">&lt;-Назад</a>';}else{echo'&lt;-Назад';}
echo' | '; 
if ($total > $start + $config_chatpost) {echo ' <a href="index.php?start='.($start + $config_chatpost).'&amp;'.SID.'">Далее -&gt;</a>';}else{echo'Далее-&gt;';}



if($total>0){

$ba=ceil($total/$config_chatpost);
$ba2=$ba*$config_chatpost-$config_chatpost;

echo '<br><hr>Страницы:';
$asd=$start-($config_chatpost*4);
$asd2=$start+($config_chatpost*5);

if($asd<$total && $asd>0){echo ' <a href="index.php?start=0&amp;'.SID.'">1</a> ... ';}

for($i=$asd; $i<$asd2;)
{
if($i<$total && $i>=0){
$ii=floor(1+$i/$config_chatpost);

if ($start==$i) {
echo ' <b>('.$ii.')</b>';
               }
                else {
echo ' <a href="index.php?start='.$i.'&amp;'.SID.'">'.$ii.'</a>';
                     }}


$i=$i+$config_chatpost;}
if($asd2<$total){echo ' ... <a href="index.php?start='.$ba2.'&amp;'.SID.'">'.$ba.'</a>';}
}


echo '<br><br>';
if($config_themes!="wml"){echo '<a href="#up"><img src="../images/img/ups.gif" alt=""></a> ';}
echo '<a href="index.php?rand='.$rand.'&amp;'.SID.'">Обновить</a> | ';
echo '<a href="../pages/pravila.php?'.SID.'">Правила</a> | ';
echo '<a href="../pages/smiles.php?'.SID.'">Смайлы</a> | ';
echo '<a href="../pages/tegi.php?'.SID.'">Теги</a><br>';


echo '<img src="../images/img/homepage.gif" alt=""> <a href="../index.php?'.SID.'">На главную</a>'; 
include_once"../themes/$config_themes/foot.php";
?>
